Page MenuHomePhabricator

Enable xkill on top wikis that use x aspect
Closed, ResolvedPublic

Description

Per https://grafana.wikimedia.org/dashboard/db/ladsgroup-test?orgId=1&panelId=3&fullscreen These wikis are using so many x aspects and doesn't have the xkill enabled, so they contribute on the jobqueue problem:

  • hywiki
  • frwiki
  • svwiki
  • itwiki
  • zhwiki
  • bewiki
  • nlwiki
  • glwiki

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptFeb 13 2018, 10:55 PM
Restricted Application added subscribers: Cosine02, Aklapper. · View Herald Transcript

Change 410353 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Enable xkill on top wikis that use x aspect

https://gerrit.wikimedia.org/r/410353

Change 410353 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable xkill on top wikis that use x aspect

https://gerrit.wikimedia.org/r/410353

Mentioned in SAL (#wikimedia-operations) [2018-02-14T00:12:01Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:410353|Enable xkill on top wikis that use x aspect]] T187265 (duration: 01m 14s)

  1. Seems like Amir fixed it few months ago. Amir, do you think we can close it?
  2. Looking in graphana boards, there is unexpectedly high number of usages in cebwiki(?!)
Ladsgroup closed this task as Resolved.Jun 15 2018, 3:08 PM

xkill is enabled everywhere now, We definitely can close this. cebwiki has a lot of usages but they haven't been refreshed because they were written by bot that no one reads not to mention edit (so it's not get refreshed) I wrote a bot to touch these pages for all wikis and ran it already, cebwiki is the only one that is so big that it takes some time to get rid of. It's okay IMO.